
Redmine - Defect #3965

Viewing open issues in a milestone shows a resolved issue?

2009-10-04 03:49 - Dave Abrahams

Status: Closed Start date: 2009-10-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I just went to look at Redmine's own 0.8.6 milestone, and saw this.  The filter shows we're looking at open tickets yet the ticket is

marked resolved.  Is this a bug or are my expectations misaligned?

History

#1 - 2009-10-04 05:29 - Robert Chady

The 'Resolved' state is not marked as being one that indicates a closed state.  This means that the ticket is still considered open.

#2 - 2009-10-04 07:09 - Dave Abrahams

Robert Chady wrote:

The 'Resolved' state is not marked as being one that indicates a closed state.  This means that the ticket is still considered open.

 Then I guess I should be reporting on the confusing usage of the term “resolved.”  My dictionary says:

re•solve |riˈzälv; -ˈzôlv|

verb

1 [ trans. ] settle or find a solution to (a problem, dispute, or contentious matter) : the firm aims to resolve problems within 30 days.

 If the issue is still open, how can it be marked “resolved?”

#3 - 2009-10-04 16:18 - Robert Chady

The most common flow of tickets is something like:

New -> In Progress (being worked on)

In Progress -> Resolved (when developer believes the work is done)

Resolved -> Closed (when the original submittor verifies the resolution provided is correct)

For your own installation of Redmine, if you don't like 'Resolved' being !closed, or just don't like the word 'Resolved', Redmine provides you the ability

to change the issue statuses and even which ones are of a closed state.

#4 - 2009-10-10 13:09 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

It's a configuration choice. You can mark a Resolved status as closed.

#5 - 2010-07-29 12:32 - Christophe Gaultier

Hi,

we have the same use case as Robert Chady.

In our process we work like this:

New -> In Progress (being worked on)

In Progress -> Resolved (when developer believes the work is done)

Resolved -> Closed (We have specific people to close defects)

So could it be possible to add some colors, labels or whatever to be able to differentiate easily open defect from resolved defect particularly in the

roadmap view
Thx for your feedback ;)
